module srisc1(input clock, input reset, output reg [7:0] pc, output [31:0] ir);

wire [31:0] da, db, dc;
wire [4:0] ra, rb, rc;
wire write_enable;

// instantiate memory
wire [7:0] next_pc;
inst inst_cache(
	.address(next_pc),
	.clock(clock),
	.q(ir)
);

assign next_pc = pc + 1'b1;

always @(posedge clock or negedge reset)
	if (!reset) 
		pc <= 8'hff; // so that next_pc starts at zero
	else 
		pc <= next_pc;

endmodule
